## petsc4py 3.20.5

=== debian/changelog ===
petsc4py (3.20.5-4ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Sep 2024 09:06:40 +0200

petsc4py (3.20.5-4) unstable; urgency=medium

  * update debian patch build_local_docs.patch to link to numpy docs
    Build-Depends-Indep: python-numpy-doc <!nodoc>
  * drop Build-Depends-Indep: python-pyopencl-doc.
    pocl is flaky, and is at risk of expelling a large swathe of
    unrelated packages from the archive. Linking to pyopencl docs is
    not crucial for petsc4py.

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Aug 2024 02:02:31 +0200

petsc4py (3.20.5-3ubuntu3) oracular; urgency=medium

  * Another no-change rebuild against mpi-defaults 1.17 now that
    petsc was built

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 23 Sep 2024 11:00:35 +0000

petsc4py (3.20.5-3ubuntu2) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 01 Aug 2024 12:59:36 -0700

petsc4py (3.20.5-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 19:29:50 +0200

petsc4py (3.20.5-3) unstable; urgency=medium

  * build the real module in arch-indep builds to be used building docs
  * don't build docs if nodoc is set in DEB_BUILD_OPTIONS

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 May 2024 19:55:53 +0200

petsc4py (3.20.5-2) unstable; urgency=medium

  * debian/tests: run tests over all supported python versions
  * Build-Depends-Indep: python3-pydata-sphinx-theme (for docs)
  * debian patch build_local_docs.patch sets intersphinx links to
    local docs (numpy docs not yet available)
    - Build-Depends-Indep: petsc3.20-doc, python3-doc,
      python-mpi4py-doc, python-pyopencl-doc <!nodoc>
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 May 2024 15:26:37 +0200

petsc4py (3.20.5-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.20)
    - man page is now registered in section 3
  * Build-Depends: cython3 (>= 3~)
    - drop debian patch revert_cython_pin_PR6720.patch
  * drop Build-Depends: python3-distutils. Closes: #1065916.
  * debian/tests: update demo tests
    - run demos over all supported python versions
    - run new poisson2d
    - old demo tests now moved to legacy subdir
  * debian patch build_docs.patch disables use of sphobjinv and pylit
    when building docs. They are not yet packaged for Debian.
    - override dh_sphinxdoc: to ignore missing poisson2d text
  * drop build of texinfo docs. Currently generates a doubled
    "@end deffn" causing the texinfo doc build to fail.

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Mar 2024 10:01:04 +0100
