=== debian/control ===
Source: petsc4py
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), dh-python,
 python3-all-dev (>= 3.3),
 cython3 (>= 3~),
 python3-numpy (>= 1:1.4.1-4~),
 libpetsc-real3.20-dev, libpetsc-complex3.20-dev,
 libpetsc64-real3.20-dev, libpetsc64-complex3.20-dev,
 chrpath,
 mpi-default-dev, libhdf5-mpi-dev,
 sphinx | python3-sphinx | dh-sequence-sphinxdoc
Build-Depends-Indep:
 petsc3.20-doc <!nodoc>,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-doc <!nodoc>,
 python-mpi4py-doc <!nodoc>,
 python-numpy-doc <!nodoc>
Homepage: https://pypi.python.org/packages/source/p/petsc4py/
Vcs-Git: https://salsa.debian.org/science-team/petsc4py.git
Vcs-Browser: https://salsa.debian.org/science-team/petsc4py

Package: python3-petsc4py
Architecture: all
Depends: python3:any, ${python3:Depends}, ${misc:Depends},
 python3-petsc4py-real | python3-petsc4py-complex | python3-petsc4py-real3.20 | python3-petsc4py-complex3.20 | python3-petsc4py-64-real | python3-petsc4py-64-complex | python3-petsc4py-64-real3.20 | python3-petsc4py-64-complex3.20,
 python-petsc4py-doc
Recommends: libpetsc-real-dev | libpetsc-complex-dev
Description: Python 3 bindings for PETSc libraries
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a base package that depends on the python3 petsc4py package
 with either real or complex number support. It provides the path to
 petsc4py for the system's default PETSc version set in
 /usr/lib/petsc. Export environment variable PETSC_DIR to use other
 versions.

Package: python3-petsc4py-real
Architecture: all
Depends: python3-petsc4py-real3.20, ${misc:Depends}
Description: Python 3 bindings for PETSc libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with real number support.

Package: python3-petsc4py-complex
Architecture: all
Depends: python3-petsc4py-complex3.20, ${misc:Depends}
Description: Python 3 bindings for PETSc libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with complex number support.

Package: python3-petsc4py-real3.20
Architecture: any
Depends: swig,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-real (<< 3.12.0-7~)
Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for PETSc 3.20 libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.20
 with real number support.

Package: python3-petsc4py-complex3.20
Architecture: any
Depends: swig,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-complex (<< 3.12.0-7~)
Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for PETSc 3.20 libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.20
 with complex number support.

Package: python3-petsc4py-64-real
Architecture: all
Depends: python3-petsc4py-64-real3.20, ${misc:Depends}
Description: Python 3 bindings for 64-bit PETSc libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with real number support and 64-bit indexing.

Package: python3-petsc4py-64-complex
Architecture: all
Depends: python3-petsc4py-64-complex3.20, ${misc:Depends}
Description: Python 3 bindings for 64-bit PETSc libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with complex number support and 64-bit indexing.

Package: python3-petsc4py-64-real3.20
Architecture: any
Depends: swig,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-real (<< 3.12.0-7~)
Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for 64-bit PETSc 3.20 libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.20
 with real number support and 64-bit indexing.

Package: python3-petsc4py-64-complex3.20
Architecture: any
Depends: swig,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-complex (<< 3.12.0-7~)
Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for 64-bit PETSc 3.20 libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.20
 with complex number support and 64-bit indexing.

Package: python-petsc4py-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends},
 ${sphinxdoc:Depends}, sphinx-common, libjs-sphinxdoc
Recommends: python3-petsc4py
Conflicts: python-petsc
Breaks: python-petsc4py (<< 3.7.0-3), python-petsc4py-docs
Replaces: python-petsc4py-docs
XB-Python-Version: ${python:Versions}
Description: Python bindings for PETSc libraries: documentation and examples
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 petsc4py provides Python bindings to almost all functions of PETSc.
 This package provides documentation and examples for petsc4py.
