## petsc4py 3.21.6

=== debian/changelog ===
petsc4py (3.21.6-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 19:52:01 +0100

petsc4py (3.21.6-2) unstable; urgency=medium

  * fix doc build
    - remove deprecated --force option from arch-indep build
    - clean files generated by doc build
  * activate use of sphobjinv in doc build
    - remove sphobjinv skipping from debian patch build_docs.patch
    - set LOC=/usr/share/doc/petsc$(PETSC_VERSION)-doc/docs when
      building docs to access petsc objects.inv (from petsc3.21-doc)
    - Build-Depends-Indep: python3-sphobjinv <!nodoc>

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Oct 2024 11:41:10 +0200

petsc4py (3.21.6-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Link docs to the packaged docs, not the online docs.
  * d/control: reformatted, removed references to outdated versions
  * d/copyright: use https version of the format
  * d/rules: stop manually parsing the changelog
  * Added DEP-3 metadata to all the patches.
  * Add missing build dependency on setuptools. Closes: #1080699
  * d/source/lintian-overrides: silence a false-positive about the use of
    distutils when setuptools is not available
  * Add meson dependency for autopkgtests, set flags so that mpiexec
    doesn't freak out about being run as root

  [ Drew Parsons ]
  * New upstream release.
  * update debian patch build_docs.patch
    - skip pydata_sphinx_theme, which is currently broken (Bug#1084781).
      Drop Build-Depends: python3-pydata-sphinx-theme.
    - don't use git when building docs

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Oct 2024 21:13:50 +0200

petsc4py (3.21.4-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.21.
  * Build-Depends: pybuild-plugin-pyproject
  * Build-Depends-Indep: python-numpy-doc,
    python3-sphinx-rtd-theme <!nodoc>.
    Update build_local_docs.patch for numpy docs.
  * debian/rules: drop deprecated build option --force
    Requires manual removal of intermediate build dir
    (pybuild does not control the pyproject PEP517 build dir)

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Aug 2024 00:41:05 +0200
