=== debian/tests/control ===
--- 
+++ 
@@ -4,5 +4,6 @@
     python3-all,
     python3-numpy,
     gzip,
-    pkg-config
+    pkg-config,
+    meson
 Restrictions: allow-stderr
