## petsc4py 3.22.1

=== debian/changelog ===
petsc4py (3.22.1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for mpich_4.2.1-2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 12 Dec 2024 09:50:07 +0000

petsc4py (3.22.1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:07:06 +0100

petsc4py (3.22.1-2) unstable; urgency=medium

  * Upload 3.22 to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2024 23:38:03 +0100

petsc4py (3.22.1-1exp1) experimental; urgency=medium

  * New upstream release. New PETSc ABI 3.22.

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Nov 2024 23:49:01 +0100

petsc4py (3.21.6-3) unstable; urgency=medium

  [ Francesco Ballarin ]
  * Add Francesco Ballarin to uploaders
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/tests.

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Nov 2024 21:15:21 +0100
