## petsc4py 3.22.3

=== debian/changelog ===
petsc4py (3.22.3-1) unstable; urgency=medium

  * New upstream release
  * debian/source/lintian-overrides: drop redundant uses-python-distutils
  * debian/tests Depends: python3-numpy-dev
    (fortranobject.c is needed by f2py, used by legacy demo tests)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 16:55:17 +0100
