## petsc4py 3.22.4

=== debian/changelog ===
petsc4py (3.22.4-2) unstable; urgency=medium

  * debian patch fixes_for_sphinx_MR8685.diff applies upstream MR#8685
    to fix doc build with sphinx. Closes: #1114259.
  * Build-Depends: python3-numpy-dev (for dh_numpy3)
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Sep 2025 19:22:26 +0200

petsc4py (3.22.4-1) unstable; urgency=medium

  * New upstream release
  * debian/source/lintian-overrides: drop redundant uses-python-distutils
  * debian/tests Depends: python3-numpy-dev
    (fortranobject.c is needed by f2py, used by legacy demo tests)
  * update debian patch test_demo_no_plot.patch to apply env variable
    PETSC_OPTIONS="-plot false" to prevent display of generated plots
    when running demo tests. Apply in makefiles only.
    Also use MPLBACKEND=Agg for plots generated with matplotlib.
  * debian/tests: run demos with OMPI_MCA_btl_tcp_if_include=lo
    to avoid unreachable pairing warnings

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Mar 2025 01:44:00 +0100
