=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: petsc4py
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Drew Parsons <dparsons@debian.org>
+Uploaders:
+ Drew Parsons <dparsons@debian.org>,
+ Francesco Ballarin <francesco.ballarin@unicatt.it>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -10,23 +12,24 @@
  pybuild-plugin-pyproject,
  cython3 (>= 3~),
  python3-numpy,
- libpetsc-real3.21-dev,
- libpetsc-complex3.21-dev,
- libpetsc64-real3.21-dev,
- libpetsc64-complex3.21-dev,
+ python3-numpy-dev,
+ libpetsc-real3.22-dev,
+ libpetsc-complex3.22-dev,
+ libpetsc64-real3.22-dev,
+ libpetsc64-complex3.22-dev,
  chrpath,
  mpi-default-dev,
  libhdf5-mpi-dev,
  sphinx | python3-sphinx | dh-sequence-sphinxdoc
 Build-Depends-Indep:
- petsc3.21-doc <!nodoc>,
+ petsc3.22-doc <!nodoc>,
 # python3-pydata-sphinx-theme <!nodoc>,
  python3-doc <!nodoc>,
  python-mpi4py-doc <!nodoc>,
  python-numpy-doc <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphobjinv <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/petsc4py
 Vcs-Git: https://salsa.debian.org/science-team/petsc4py.git
 Homepage: https://pypi.python.org/packages/source/p/petsc4py/
@@ -36,7 +39,7 @@
 Depends: python3:any,
  ${python3:Depends},
  ${misc:Depends},
- python3-petsc4py-real | python3-petsc4py-complex | python3-petsc4py-real3.21 | python3-petsc4py-complex3.21 | python3-petsc4py-64-real | python3-petsc4py-64-complex | python3-petsc4py-64-real3.21 | python3-petsc4py-64-complex3.21,
+ python3-petsc4py-real | python3-petsc4py-complex | python3-petsc4py-real3.22 | python3-petsc4py-complex3.22 | python3-petsc4py-64-real | python3-petsc4py-64-complex | python3-petsc4py-64-real3.22 | python3-petsc4py-64-complex3.22,
  python-petsc4py-doc
 Recommends: libpetsc-real-dev | libpetsc-complex-dev
 Description: Python 3 bindings for PETSc libraries
@@ -52,7 +55,7 @@
 
 Package: python3-petsc4py-real
 Architecture: all
-Depends: python3-petsc4py-real3.21,
+Depends: python3-petsc4py-real3.22,
  ${misc:Depends}
 Description: Python 3 bindings for PETSc libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
@@ -64,7 +67,7 @@
 
 Package: python3-petsc4py-complex
 Architecture: all
-Depends: python3-petsc4py-complex3.21,
+Depends: python3-petsc4py-complex3.22,
  ${misc:Depends}
 Description: Python 3 bindings for PETSc libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
@@ -74,7 +77,7 @@
  This is a dummy package depending on the petsc4py build for the latest version
  of PETSc with complex number support.
 
-Package: python3-petsc4py-real3.21
+Package: python3-petsc4py-real3.22
 Architecture: any
 Depends: swig,
  ${python3:Depends},
@@ -82,15 +85,15 @@
  ${misc:Depends}
 Recommends: python3-petsc4py,
  python-petsc4py-doc
-Description: Python 3 bindings for PETSc 3.21 libraries (real numbers)
+Description: Python 3 bindings for PETSc 3.22 libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.21
+ This package provides Python 3 bindings to almost all functions of PETSc 3.22
  with real number support.
 
-Package: python3-petsc4py-complex3.21
+Package: python3-petsc4py-complex3.22
 Architecture: any
 Depends: swig,
  ${python3:Depends},
@@ -98,17 +101,17 @@
  ${misc:Depends}
 Recommends: python3-petsc4py,
  python-petsc4py-doc
-Description: Python 3 bindings for PETSc 3.21 libraries (complex numbers)
+Description: Python 3 bindings for PETSc 3.22 libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.21
+ This package provides Python 3 bindings to almost all functions of PETSc 3.22
  with complex number support.
 
 Package: python3-petsc4py-64-real
 Architecture: all
-Depends: python3-petsc4py-64-real3.21,
+Depends: python3-petsc4py-64-real3.22,
  ${misc:Depends}
 Description: Python 3 bindings for 64-bit PETSc libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
@@ -120,7 +123,7 @@
 
 Package: python3-petsc4py-64-complex
 Architecture: all
-Depends: python3-petsc4py-64-complex3.21,
+Depends: python3-petsc4py-64-complex3.22,
  ${misc:Depends}
 Description: Python 3 bindings for 64-bit PETSc libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
@@ -130,7 +133,7 @@
  This is a dummy package depending on the petsc4py build for the latest version
  of PETSc with complex number support and 64-bit indexing.
 
-Package: python3-petsc4py-64-real3.21
+Package: python3-petsc4py-64-real3.22
 Architecture: any
 Depends: swig,
  ${python3:Depends},
@@ -138,15 +141,15 @@
  ${misc:Depends}
 Recommends: python3-petsc4py,
  python-petsc4py-doc
-Description: Python 3 bindings for 64-bit PETSc 3.21 libraries (real numbers)
+Description: Python 3 bindings for 64-bit PETSc 3.22 libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.21
+ This package provides Python 3 bindings to almost all functions of PETSc 3.22
  with real number support and 64-bit indexing.
 
-Package: python3-petsc4py-64-complex3.21
+Package: python3-petsc4py-64-complex3.22
 Architecture: any
 Depends: swig,
  ${python3:Depends},
@@ -154,12 +157,12 @@
  ${misc:Depends}
 Recommends: python3-petsc4py,
  python-petsc4py-doc
-Description: Python 3 bindings for 64-bit PETSc 3.21 libraries (complex numbers)
+Description: Python 3 bindings for 64-bit PETSc 3.22 libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.21
+ This package provides Python 3 bindings to almost all functions of PETSc 3.22
  with complex number support and 64-bit indexing.
 
 Package: python-petsc4py-doc
