=== debian/rules ===
--- 
+++ 
@@ -6,16 +6,11 @@
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
-include /usr/share/dpkg/architecture.mk
 
-DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
-DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
-DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
-
-export PETSC4PY_VERSION=$(DEB_UPSTREAM_VERSION)
+export PETSC4PY_VERSION=$(DEB_VERSION_UPSTREAM)
 
 # use only major.minor as PETSc version (not major.minor.patch)
-PETSC_VERSION=$(shell echo $(DEB_UPSTREAM_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')$(PETSC_EXT)
+PETSC_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')$(PETSC_EXT)
 export PETSC_DIR_REAL=/usr/lib/petscdir/petsc$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-real
 export PETSC_DIR_COMPLEX=/usr/lib/petscdir/petsc$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-complex
 export PETSC64_DIR_REAL=/usr/lib/petscdir/petsc64-$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-real
@@ -47,6 +42,7 @@
 execute_after_dh_clean:
 	rm -rf .eggs
 	rm -f src/petsc4py/PETSc.c src/petsc4py/PETSc.h src/petsc4py/PETSc_api.h
+	rm -rf docs/source/reference docs/source/demo
 
 override_dh_auto_configure-arch:
 	PYBUILD_NAME=petsc4py_real$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_configure -ppython3-petsc4py-real$(PETSC_VERSION)
@@ -62,9 +58,12 @@
 endif
 
 override_dh_auto_build-arch:
-	PYBUILD_NAME=petsc4py_real$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython3-petsc4py-real$(PETSC_VERSION) -- --build-args=--force
+	PYBUILD_NAME=petsc4py_real$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython3-petsc4py-real$(PETSC_VERSION)
+	rm -rf build
 	PYBUILD_NAME=petsc4py_complex$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-petsc4py-complex$(PETSC_VERSION)
-	PYBUILD_NAME=petsc4py_64_real$(PETSC_VERSION) PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_build -ppython3-petsc4py-64-real$(PETSC_VERSION) -- --build-args=--force
+	rm -rf build
+	PYBUILD_NAME=petsc4py_64_real$(PETSC_VERSION) PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_build -ppython3-petsc4py-64-real$(PETSC_VERSION)
+	rm -rf build
 	PYBUILD_NAME=petsc4py_64_complex$(PETSC_VERSION) PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_build -ppython3-petsc4py-64-complex$(PETSC_VERSION)
 	# petsc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
@@ -73,10 +72,10 @@
 override_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	if ! [ -d $(DOC_PYTHONPATH)/petsc4py ]; then \
-	  PYBUILD_NAME=petsc4py_real$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_REAL)  pybuild -p$(PY3VER_DEFAULT) --build --build-args=--force; \
+	  PYBUILD_NAME=petsc4py_real$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_REAL)  pybuild -p$(PY3VER_DEFAULT) --build; \
 	fi
-	PYTHONPATH=$(DOC_PYTHONPATH) http_proxy='127.0.0.1:9' sphinx-build -N -bhtml       docs/source build/html # HTML generator
-	PYTHONPATH=$(DOC_PYTHONPATH) http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/source build/man # Manpage generator
+	PYTHONPATH=$(DOC_PYTHONPATH) LOC=/usr/share/doc/petsc$(PETSC_VERSION)-doc/docs http_proxy='127.0.0.1:9' sphinx-build -N -bhtml       docs/source build/html # HTML generator
+	PYTHONPATH=$(DOC_PYTHONPATH) LOC=/usr/share/doc/petsc$(PETSC_VERSION)-doc/docs http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/source build/man # Manpage generator
 endif
 
 override_dh_auto_install-arch:
