## petsc4py 3.23.1

=== debian/changelog ===
petsc4py (3.23.1-1exp2) experimental; urgency=medium

  * Remove build/ directory after building 64-bit complex package,
    otherwise manually running test after having done dpkg-buildpackage +
    sudo debi results in the maintainer thinking that they are testing the
    default scalar type variant (i.e., 32-bit real), while actually testing the
    latest built one (i.e., 64-bit complex).
  * Standards-Version: 4.7.2

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 04 May 2025 04:47:17 +0000

petsc4py (3.23.1-1exp1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release. New PETSc ABI 3.23.1.
  * Refresh build_local_docs.patch.

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 May 2025 11:47:02 +0200
