=== debian/control ===
--- 
+++ 
@@ -12,17 +12,16 @@
  pybuild-plugin-pyproject,
  cython3 (>= 3~),
  python3-numpy,
- python3-numpy-dev,
- libpetsc-real3.22-dev,
- libpetsc-complex3.22-dev,
- libpetsc64-real3.22-dev,
- libpetsc64-complex3.22-dev,
+ libpetsc-real3.23-dev,
+ libpetsc-complex3.23-dev,
+ libpetsc64-real3.23-dev,
+ libpetsc64-complex3.23-dev,
  chrpath,
  mpi-default-dev,
  libhdf5-mpi-dev,
  sphinx | python3-sphinx | dh-sequence-sphinxdoc
 Build-Depends-Indep:
- petsc3.22-doc <!nodoc>,
+ petsc3.23-doc <!nodoc>,
 # python3-pydata-sphinx-theme <!nodoc>,
  python3-doc <!nodoc>,
  python-mpi4py-doc <!nodoc>,
@@ -39,7 +38,7 @@
 Depends: python3:any,
  ${python3:Depends},
  ${misc:Depends},
- python3-petsc4py-real | python3-petsc4py-complex | python3-petsc4py-real3.22 | python3-petsc4py-complex3.22 | python3-petsc4py-64-real | python3-petsc4py-64-complex | python3-petsc4py-64-real3.22 | python3-petsc4py-64-complex3.22,
+ python3-petsc4py-real | python3-petsc4py-complex | python3-petsc4py-real3.23 | python3-petsc4py-complex3.23 | python3-petsc4py-64-real | python3-petsc4py-64-complex | python3-petsc4py-64-real3.23 | python3-petsc4py-64-complex3.23,
  python-petsc4py-doc
 Recommends: libpetsc-real-dev | libpetsc-complex-dev
 Description: Python 3 bindings for PETSc libraries
@@ -55,7 +54,7 @@
 
 Package: python3-petsc4py-real
 Architecture: all
-Depends: python3-petsc4py-real3.22,
+Depends: python3-petsc4py-real3.23,
  ${misc:Depends}
 Description: Python 3 bindings for PETSc libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
@@ -67,7 +66,7 @@
 
 Package: python3-petsc4py-complex
 Architecture: all
-Depends: python3-petsc4py-complex3.22,
+Depends: python3-petsc4py-complex3.23,
  ${misc:Depends}
 Description: Python 3 bindings for PETSc libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
@@ -77,7 +76,7 @@
  This is a dummy package depending on the petsc4py build for the latest version
  of PETSc with complex number support.
 
-Package: python3-petsc4py-real3.22
+Package: python3-petsc4py-real3.23
 Architecture: any
 Depends: swig,
  ${python3:Depends},
@@ -85,15 +84,15 @@
  ${misc:Depends}
 Recommends: python3-petsc4py,
  python-petsc4py-doc
-Description: Python 3 bindings for PETSc 3.22 libraries (real numbers)
+Description: Python 3 bindings for PETSc 3.23 libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.22
+ This package provides Python 3 bindings to almost all functions of PETSc 3.23
  with real number support.
 
-Package: python3-petsc4py-complex3.22
+Package: python3-petsc4py-complex3.23
 Architecture: any
 Depends: swig,
  ${python3:Depends},
@@ -101,17 +100,17 @@
  ${misc:Depends}
 Recommends: python3-petsc4py,
  python-petsc4py-doc
-Description: Python 3 bindings for PETSc 3.22 libraries (complex numbers)
+Description: Python 3 bindings for PETSc 3.23 libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.22
+ This package provides Python 3 bindings to almost all functions of PETSc 3.23
  with complex number support.
 
 Package: python3-petsc4py-64-real
 Architecture: all
-Depends: python3-petsc4py-64-real3.22,
+Depends: python3-petsc4py-64-real3.23,
  ${misc:Depends}
 Description: Python 3 bindings for 64-bit PETSc libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
@@ -123,7 +122,7 @@
 
 Package: python3-petsc4py-64-complex
 Architecture: all
-Depends: python3-petsc4py-64-complex3.22,
+Depends: python3-petsc4py-64-complex3.23,
  ${misc:Depends}
 Description: Python 3 bindings for 64-bit PETSc libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
@@ -133,7 +132,7 @@
  This is a dummy package depending on the petsc4py build for the latest version
  of PETSc with complex number support and 64-bit indexing.
 
-Package: python3-petsc4py-64-real3.22
+Package: python3-petsc4py-64-real3.23
 Architecture: any
 Depends: swig,
  ${python3:Depends},
@@ -141,15 +140,15 @@
  ${misc:Depends}
 Recommends: python3-petsc4py,
  python-petsc4py-doc
-Description: Python 3 bindings for 64-bit PETSc 3.22 libraries (real numbers)
+Description: Python 3 bindings for 64-bit PETSc 3.23 libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.22
+ This package provides Python 3 bindings to almost all functions of PETSc 3.23
  with real number support and 64-bit indexing.
 
-Package: python3-petsc4py-64-complex3.22
+Package: python3-petsc4py-64-complex3.23
 Architecture: any
 Depends: swig,
  ${python3:Depends},
@@ -157,12 +156,12 @@
  ${misc:Depends}
 Recommends: python3-petsc4py,
  python-petsc4py-doc
-Description: Python 3 bindings for 64-bit PETSc 3.22 libraries (complex numbers)
+Description: Python 3 bindings for 64-bit PETSc 3.23 libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.22
+ This package provides Python 3 bindings to almost all functions of PETSc 3.23
  with complex number support and 64-bit indexing.
 
 Package: python-petsc4py-doc
